
<!-- app.component.html

<div class="text-center col-12">
  <h1> {{texto}}</h1>
<div class="form-group pt-4">
  <span>latitud</span>
  <input type="text" class="form-control" #latitudenvio>
</div>

<div class="form-group pt-4">
  <span>longitud</span>
  <input type="text" class="form-control" #longitudenvio>
</div>

<div class="form-group pt-4">
  <span>direccion</span>
  <input type="text" class="form-control" #search>
</div>

<div class="form-group pt-2 d-inline">
  <button class="btn btn-primary btn-sm" (click)="buscarmapa(latitudenvio.value,longitudenvio.value)">por lat y long</button>
  <button class="btn btn-secondary btn-sm" (click)="buscarmapa(latitudenvio.value,longitudenvio.value)">por dirección</button>
</div>

</div>





<agm-map (mapReady)="mapReady()" [latitude]="lat" [zoom]="zoom" [longitude]="lng">
  <agm-marker  [latitude]="lat" [longitude]="lng"></agm-marker>
</agm-map>
 -->


<div class="container">
 
  <h1>Busqueda establecimiento</h1>
 
  <div class="form-group">
    <label>direccion</label>
    <input type="text" class="form-control" (keydown.enter)="$event.preventDefault()" placeholder="escribe la direccion" autocorrect="off" autocapitalize="off" spellcheck="off" type="text" #search>
  </div>
 
  <agm-map [latitude]="latitude" [longitude]="longitude" [zoom]="zoom">
    <agm-marker [latitude]="latitude" [longitude]="longitude" [markerDraggable]="true"
      (dragEnd)="markerDragEnd($event)"></agm-marker>
  </agm-map>
 <br>
  <h5>direccion: {{address}}</h5>
  <h5>Nombre: {{establecimiento}}</h5>
  <div>latitud: {{latitude}}</div>
  <div>Longitud: {{longitude}}</div>
</div>

